org.apache.hc.client5.http.impl.cookie

## Class LaxExpiresHandler

- java.lang.Object
- - org.apache.hc.client5.http.impl.cookie.AbstractCookieAttributeHandler
  - - org.apache.hc.client5.http.impl.cookie.LaxExpiresHandler

- All Implemented Interfaces:
    CommonCookieAttributeHandler, CookieAttributeHandler

      @Contract(threading=STATELESS)
      public class LaxExpiresHandler
      extends AbstractCookieAttributeHandler
      implements CommonCookieAttributeHandler

  Cookie `expires` attribute handler conformant to the more relaxed interpretation of HTTP state management.
  Since:
    4.4

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LaxExpiresHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAttributeName()`
    `void` | `parse(SetCookie cookie, String value)` Parse the given cookie attribute value and processChallenge the corresponding `Cookie` property.

    - ### Methods inherited from class org.apache.hc.client5.http.impl.cookie.AbstractCookieAttributeHandler

      `match, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hc.client5.http.cookie.CookieAttributeHandler

      `match, validate`

- - ### Constructor Detail

    - #### LaxExpiresHandler

          public LaxExpiresHandler()

  - ### Method Detail

    - #### parse

          public void parse(SetCookie cookie,
                   String value)
                     throws MalformedCookieException

      Description copied from interface: `CookieAttributeHandler`
      Parse the given cookie attribute value and processChallenge the corresponding `Cookie` property.
      Specified by:
        `parse` in interface `CookieAttributeHandler`
      Parameters:
        `cookie` - `Cookie` to be updated
        `value` - cookie attribute value from the cookie response header
      Throws:
        `MalformedCookieException`

    - #### getAttributeName

          public String getAttributeName()

      Specified by:
        `getAttributeName` in interface `CommonCookieAttributeHandler`

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.